Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.connector.base
Interface BaseRepositorySource

All Superinterfaces:
  Referenceable, RepositorySource, Serializable

All Known Subinterfaces:
  NodeCachingRepositorySource<KeyType,NodeType>

All Known Implementing Classes:
  AbstractNodeCachingRepositorySource, AbstractRepositorySource, BaseInfinispanSource, DiskSource, FileSystemSource, InfinispanSource, InMemoryRepositorySource, JBossCacheSource, JdbcMetadataSource, RemoteInfinispanSource, SvnRepositorySource

    public interface BaseRepositorySource

extends RepositorySource

An extension of the `BaseRepositorySource` class that provides a `cache policy` and a `repository context`.

Method Summary
`boolean` | `areUpdatesAllowed()` Get whether this source allows updates.
`CachePolicy` | `getDefaultCachePolicy()` Returns the `cache policy` for the repository source
`String` | `getDefaultWorkspaceName()` Get the name of the workspace that should be used by default.
`RepositoryContext` | `getRepositoryContext()` Returns the `repository context` for the repository source
`UUID` | `getRootNodeUuidObject()` Get the UUID for the root node.
`boolean` | `isCreatingWorkspacesAllowed()` Get whether this source allows workspaces to be created.
`void` | `setUpdatesAllowed(boolean updatesAllowed)` Set whether this source allows updates to data within workspaces

Methods inherited from interface org.modeshape.graph.connector.RepositorySource
`close, getCapabilities, getConnection, getName, getRetryLimit, initialize, setRetryLimit`

Methods inherited from interface javax.naming.Referenceable
`getReference`

Method Detail

### areUpdatesAllowed

    boolean areUpdatesAllowed()

  Get whether this source allows updates.

  Returns:
    true if this source allows updates by clients, or false if no updates are allowed
  See Also:
    `setUpdatesAllowed(boolean)`

### setUpdatesAllowed

    void setUpdatesAllowed(boolean updatesAllowed)

  Set whether this source allows updates to data within workspaces

  Parameters:
    `updatesAllowed` - true if this source allows updates to data within workspaces clients, or false if updates are not allowed.
  See Also:
    `areUpdatesAllowed()`

### isCreatingWorkspacesAllowed

    boolean isCreatingWorkspacesAllowed()

  Get whether this source allows workspaces to be created.

  Returns:
    true if this source allows workspaces to be created by clients, or false if creating workspaces is not allowed

### getDefaultCachePolicy

    CachePolicy getDefaultCachePolicy()

  Returns the `cache policy` for the repository source

  Returns:
    the `cache policy` for the repository source

### getRepositoryContext

    RepositoryContext getRepositoryContext()

  Returns the `repository context` for the repository source

  Returns:
    the `repository context` for the repository source

### getRootNodeUuidObject

    UUID getRootNodeUuidObject()

  Get the UUID for the root node.

  Returns:
    the root node's UUID; may not be null

### getDefaultWorkspaceName

    String getDefaultWorkspaceName()

  Get the name of the workspace that should be used by default.

  Returns:
    the name of the default workspace; may be null if there is no such default

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.